Bug 224675 - [exp-run] devel/json-c: update to 0.13
Summary: [exp-run] devel/json-c: update to 0.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-29 15:39 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2018-01-11 01:46 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2017-12-29 15:39:53 UTC
Update devel/json-c to 0.13

- Add TEST_TARGET
- Bump PORTREVISION of dependent ports for shlib change

Changes:        https://github.com/json-c/json-c/blob/master/ChangeLog
Comment 1 Antoine Brodin freebsd_committer 2018-01-01 19:45:11 UTC
Exp-run doesn't look good.

New failures:

+ {"origin"=>"databases/postgis21", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"graphics/gdal", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/razorback-api", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/syslog-ng", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng310", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng311", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng312", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng313", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng36", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng37", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/syslog-ng39", "phase"=>"build", "errortype"=>"missing_header"}

Around 40 ports were skipped due to those failures.

New failure logs:

http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/postgis21-2.1.8_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/gdal-2.2.3_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/razorback-api-0.5.0_5.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng-3.13.2_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng310-3.10.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng311-3.11.1_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng312-3.12.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng313-3.13.2_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng36-3.6.4_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng37-3.7.3_8.log
http://package23.nyi.freebsd.org/data/111i386-default-PR224675PR224676PR224677/2017-12-31_07h33m49s/logs/errors/syslog-ng39-3.9.1_1.log
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-01 20:36:44 UTC
Patch updated.
- security/razorback-api uses a deprecated function defined in json-c/bits.h which is not used by json-c itself.
- other failure are caused by missing json_object_private.h which is installed in new patch.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-02 11:52:36 UTC
Patch updated again.
- net/opensips defined 2 functions which are added in json-c 0.13. use the json-c one.
Comment 5 Antoine Brodin freebsd_committer 2018-01-03 06:36:51 UTC
Exp-run looks fine.
Comment 6 commit-hook freebsd_committer 2018-01-03 13:38:05 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jan  3 13:37:04 UTC 2018
New revision: 457965
URL: https://svnweb.freebsd.org/changeset/ports/457965

Log:
  Update devel/json-c to 0.13

  - Add TEST_TARGET
  - While I'm here, fix shebang for net/opensips
  - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://github.com/json-c/json-c/blob/master/ChangeLog
  PR:		224675
  Exp-run by:	antoine

Changes:
  head/audio/pianobar/Makefile
  head/cad/solvespace/Makefile
  head/databases/postgis20/Makefile
  head/databases/postgis21/Makefile
  head/databases/postgis22/Makefile
  head/databases/postgis23/Makefile
  head/devel/json-c/Makefile
  head/devel/json-c/distinfo
  head/devel/json-c/pkg-plist
  head/devel/objecthash/Makefile
  head/dns/bind9-devel/Makefile
  head/dns/bind910/Makefile
  head/dns/bind911/Makefile
  head/dns/bind912/Makefile
  head/graphics/gdal/Makefile
  head/graphics/mypaint/Makefile
  head/multimedia/cx88/Makefile
  head/net/freeradius3/Makefile
  head/net/frr/Makefile
  head/net/grive/Makefile
  head/net/ndpi/Makefile
  head/net/ntopng/Makefile
  head/net/opensips/Makefile
  head/net/zmap/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/riemann-c-client/Makefile
  head/security/certificate-transparency/Makefile
  head/security/clamav/Makefile
  head/security/fastd/Makefile
  head/security/fastd-devel/Makefile
  head/security/libu2f-host/Makefile
  head/security/razorback-api/Makefile
  head/security/razorback-api/files/patch-include__razorback__json_buffer.h
  head/security/razorback-archiveInflate/Makefile
  head/security/razorback-clamavNugget/Makefile
  head/security/razorback-dispatcher/Makefile
  head/security/razorback-fileInject/Makefile
  head/security/razorback-fsMonitor/Makefile
  head/security/razorback-fsWalk/Makefile
  head/security/razorback-masterNugget/Makefile
  head/security/razorback-officeCat/Makefile
  head/security/razorback-pdfFox/Makefile
  head/security/razorback-scriptNugget/Makefile
  head/security/razorback-swfScanner/Makefile
  head/security/razorback-syslogNugget/Makefile
  head/security/razorback-virusTotal/Makefile
  head/security/razorback-yaraNugget/Makefile
  head/security/ykpers/Makefile
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/syslog-ng310/Makefile
  head/sysutils/syslog-ng311/Makefile
  head/sysutils/syslog-ng312/Makefile
  head/sysutils/syslog-ng313/Makefile
  head/sysutils/syslog-ng36/Makefile
  head/sysutils/syslog-ng37/Makefile
  head/sysutils/syslog-ng39/Makefile
  head/sysutils/ttyd/Makefile
  head/www/newsboat/Makefile
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-03 13:39:49 UTC
Committed. Thanks!
Comment 8 commit-hook freebsd_committer 2018-01-11 01:46:48 UTC
A commit references this bug:

Author: ultima
Date: Thu Jan 11 01:45:43 UTC 2018
New revision: 458710
URL: https://svnweb.freebsd.org/changeset/ports/458710

Log:
  MFH: r457965 r458047

  Update devel/json-c to 0.13

  - Add TEST_TARGET
  - While I'm here, fix shebang for net/opensips
  - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://github.com/json-c/json-c/blob/master/ChangeLog
  PR:		224675
  Exp-run by:	antoine

  * Revision bump for libevhtp
  * Fix build errors for updated libevhtp

  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/audio/pianobar/Makefile
  branches/2018Q1/cad/solvespace/Makefile
  branches/2018Q1/databases/postgis20/Makefile
  branches/2018Q1/databases/postgis21/Makefile
  branches/2018Q1/databases/postgis22/Makefile
  branches/2018Q1/databases/postgis23/Makefile
  branches/2018Q1/devel/json-c/Makefile
  branches/2018Q1/devel/json-c/distinfo
  branches/2018Q1/devel/json-c/pkg-plist
  branches/2018Q1/devel/objecthash/Makefile
  branches/2018Q1/dns/bind9-devel/Makefile
  branches/2018Q1/dns/bind910/Makefile
  branches/2018Q1/dns/bind911/Makefile
  branches/2018Q1/dns/bind912/Makefile
  branches/2018Q1/graphics/gdal/Makefile
  branches/2018Q1/graphics/mypaint/Makefile
  branches/2018Q1/multimedia/cx88/Makefile
  branches/2018Q1/net/freeradius3/Makefile
  branches/2018Q1/net/frr/Makefile
  branches/2018Q1/net/grive/Makefile
  branches/2018Q1/net/ndpi/Makefile
  branches/2018Q1/net/ntopng/Makefile
  branches/2018Q1/net/opensips/Makefile
  branches/2018Q1/net/zmap/Makefile
  branches/2018Q1/net-mgmt/fastnetmon/Makefile
  branches/2018Q1/net-mgmt/riemann-c-client/Makefile
  branches/2018Q1/security/certificate-transparency/Makefile
  branches/2018Q1/security/certificate-transparency/files/patch-cpp_net_connection__pool.cc
  branches/2018Q1/security/certificate-transparency/files/patch-cpp_net_url__fetcher.cc
  branches/2018Q1/security/clamav/Makefile
  branches/2018Q1/security/fastd/Makefile
  branches/2018Q1/security/fastd-devel/Makefile
  branches/2018Q1/security/libu2f-host/Makefile
  branches/2018Q1/security/razorback-api/Makefile
  branches/2018Q1/security/razorback-api/files/patch-include__razorback__json_buffer.h
  branches/2018Q1/security/razorback-archiveInflate/Makefile
  branches/2018Q1/security/razorback-clamavNugget/Makefile
  branches/2018Q1/security/razorback-dispatcher/Makefile
  branches/2018Q1/security/razorback-fileInject/Makefile
  branches/2018Q1/security/razorback-fsMonitor/Makefile
  branches/2018Q1/security/razorback-fsWalk/Makefile
  branches/2018Q1/security/razorback-masterNugget/Makefile
  branches/2018Q1/security/razorback-officeCat/Makefile
  branches/2018Q1/security/razorback-pdfFox/Makefile
  branches/2018Q1/security/razorback-scriptNugget/Makefile
  branches/2018Q1/security/razorback-swfScanner/Makefile
  branches/2018Q1/security/razorback-syslogNugget/Makefile
  branches/2018Q1/security/razorback-virusTotal/Makefile
  branches/2018Q1/security/razorback-yaraNugget/Makefile
  branches/2018Q1/security/ykpers/Makefile
  branches/2018Q1/sysutils/slurm-wlm/Makefile
  branches/2018Q1/sysutils/syslog-ng310/Makefile
  branches/2018Q1/sysutils/syslog-ng311/Makefile
  branches/2018Q1/sysutils/syslog-ng312/Makefile
  branches/2018Q1/sysutils/syslog-ng313/Makefile
  branches/2018Q1/sysutils/syslog-ng36/Makefile
  branches/2018Q1/sysutils/syslog-ng37/Makefile
  branches/2018Q1/sysutils/syslog-ng39/Makefile
  branches/2018Q1/sysutils/ttyd/Makefile
  branches/2018Q1/www/newsboat/Makefile